/productionbywell#
Well level monthly oil and gas production.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/productionbywell |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/productionbywell" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
production_by_well_resp = hyperion_api_client.production_by_well()
production_by_well_df = production_by_well_resp.df()
production_by_well_df.head()
# Example of a Windows PowerShell request to the production_by_well endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"state_code`":[`"TX`"],`"region_natgas`":[`"gulf`"],`"sub_region_natgas`":[`"Haynesville - TX`"],`"date_prod_min`":`"2025-01-01`",`"date_prod_max`":`"2025-01-31`"}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/productionbywell' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
county |
string array |
The county the well is in |
CAMPBELL |
date_prod_max |
— |
The date range maximum of production in YYYY-MM-DD format |
— |
date_prod_min |
— |
The date range minimum of production in YYYY-MM-DD format |
— |
operator |
string array |
A well operator |
BILL BARRETT CORPORATION |
production_month |
integer array |
An array of integers |
— |
production_month_max |
integer |
The maximum number of months this well has been producing |
— |
production_month_min |
integer |
The minimum number of months this well has been producing |
— |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
state_code |
string array |
An array of state abbreviations |
WY |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
well_id |
string array |
Subregion divisions based on natural gas production profiles |
14081712000 |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
county |
string |
The county the well is in |
CAMPBELL |
date_prod |
— |
The date of production in YYYY-MM-DD format |
— |
field_name |
string |
The name of the field |
— |
formation |
string |
The formation that the well produces in |
— |
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
prod_oil_bbl_day |
number |
Daily oil production in barrels |
— |
prod_oil_bbl_month |
number |
Monthly oil production in barrels |
— |
prod_water_bbl_day |
number |
Daily water production in barrels |
— |
prod_water_bbl_month |
number |
Monthly water production in barrels |
— |
prod_wet_gas_mcf_day |
number |
Daily wet gas production in million cubic feet |
— |
prod_wet_gas_mcf_month |
number |
Monthly wet gas production in million cubic feet |
— |
production_month |
integer |
The number of months this well has been producing |
— |
range |
string |
The range of the well |
— |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
section |
string |
The section of the well |
— |
state_code |
string |
A state abbreviation |
WY |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
township |
string |
The township of the well |
— |
well_id |
string |
A well identifier |
14081712000 |
well_name |
string |
The name of the well |
— |
well_no |
string |
The unique identifying number of the well assigned by the operator |
— |
Aggregation#
Supported parameters: date_prod, county, operator, production_month, region_natgas, state_code, sub_region_natgas
Normal Output#
county |
date_prod |
field_name |
formation |
operator |
prod_oil_bbl_day |
prod_oil_bbl_month |
prod_water_bbl_day |
prod_water_bbl_month |
prod_wet_gas_mcf_day |
prod_wet_gas_mcf_month |
production_month |
range |
region_natgas |
section |
state_code |
sub_region_natgas |
township |
well_id |
well_name |
well_no |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
1970-01-01 |
0.0 |
0 |
0.0 |
0 |
0 |
Alaska |
AK |
5013300000 |
||||||||||||
1970-02-01 |
0.0 |
0 |
43.75 |
1225 |
1 |
Alaska |
AK |
5013300000 |
||||||||||||
1970-03-01 |
0.0 |
0 |
79.258064 |
2457 |
2 |
Alaska |
AK |
5013300000 |
||||||||||||
1970-04-01 |
0.0 |
0 |
526.8 |
15804 |
3 |
Alaska |
AK |
5013300000 |
||||||||||||
1970-05-01 |
0.0 |
0 |
722.548387 |
22399 |
4 |
Alaska |
AK |
5013300000 |
||||||||||||
1970-06-01 |
0.0 |
0 |
4518.733333 |
135562 |
5 |
Alaska |
AK |
5013300000 |
||||||||||||
1970-07-01 |
0.0 |
0 |
701.258064 |
21739 |
6 |
Alaska |
AK |
5013300000 |
||||||||||||
1970-08-01 |
0.0 |
0 |
107.193548 |
3323 |
7 |
Alaska |
AK |
5013300000 |
||||||||||||
1970-09-01 |
0.0 |
0 |
3896.7 |
116901 |
8 |
Alaska |
AK |
5013300000 |
||||||||||||
1970-10-01 |
0.0 |
0 |
903.0 |
27993 |
9 |
Alaska |
AK |
5013300000 |